<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.geometry.Insets?>
<?import javafx.scene.control.Button?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.TextField?>
<?import javafx.scene.image.Image?>
<?import javafx.scene.image.ImageView?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.layout.ColumnConstraints?>
<?import javafx.scene.layout.GridPane?>
<?import javafx.scene.layout.RowConstraints?>
<?import javafx.scene.shape.Line?>
<?import javafx.scene.text.Font?>

<AnchorPane prefHeight="400.0" prefWidth="600.0" xmlns="http://javafx.com/javafx/17" xmlns:fx="http://javafx.com/fxml/1" fx:controller="org.but.feec.booking.controller.DeleteController">
    <children>
        <GridPane layoutX="25.0" layoutY="89.0" prefHeight="250.0" prefWidth="550.0">
            <columnConstraints>
                <ColumnConstraints hgrow="SOMETIMES" maxWidth="269.39996337890625" minWidth="10.0" prefWidth="116.8" />
                <ColumnConstraints hgrow="SOMETIMES" maxWidth="449.4000244140625" minWidth="10.0" prefWidth="433.59999999999997" />
            </columnConstraints>
            <rowConstraints>
                <RowConstraints maxHeight="110.4" minHeight="10.0" prefHeight="76.00001220703125" vgrow="SOMETIMES" />
                <RowConstraints maxHeight="110.19998779296876" minHeight="10.0" prefHeight="91.99998779296875" vgrow="SOMETIMES" />
                <RowConstraints maxHeight="83.20003967285157" minHeight="10.0" prefHeight="83.20003967285157" vgrow="SOMETIMES" />
            <RowConstraints />
            </rowConstraints>
            <children>
                <Label text="* ID :">
                    <padding>
                        <Insets left="5.0" />
                    </padding>
               <font>
                  <Font name="Century" size="16.0" />
               </font>
                </Label>
                <Label text="* Name :" GridPane.rowIndex="1">
                    <padding>
                        <Insets left="5.0" />
                    </padding>
               <font>
                  <Font name="Century" size="16.0" />
               </font>
                </Label>
                <Label text="* Surname :" GridPane.rowIndex="2">
                    <padding>
                        <Insets left="5.0" />
                    </padding>
               <font>
                  <Font name="Century" size="16.0" />
               </font>
                </Label>
                <TextField fx:id="idTextField" promptText="type person id " GridPane.columnIndex="1" />
                <TextField fx:id="nameTextField" promptText="type person name" GridPane.columnIndex="1" GridPane.rowIndex="1" />
                <TextField fx:id="surnameTextField" promptText="type person surname" GridPane.columnIndex="1" GridPane.rowIndex="2" />
            </children>
        </GridPane>
      <Label alignment="CENTER" layoutX="222.0" layoutY="14.0" prefHeight="30.0" prefWidth="148.0" text="DELETE A">
         <font>
            <Font name="Century" size="14.0" />
         </font>
      </Label>
      <Label alignment="CENTER" layoutX="222.0" layoutY="35.0" prefHeight="30.0" prefWidth="148.0" text="GUEST">
         <font>
            <Font name="Century" size="27.0" />
         </font>
      </Label>
      <Line endX="80.0" endY="-1.52587890625E-5" layoutX="290.0" layoutY="78.0" startX="-69.5999755859375" startY="-1.52587890625E-5" stroke="#cddc39" strokeWidth="3.0" />
      <Button fx:id="deleteButton" layoutX="250.0" layoutY="354.0" mnemonicParsing="false" onAction="#deleteActionHandler" prefHeight="30.0" prefWidth="90.0" text="DELETE">
         <font>
            <Font name="Century" size="16.0" />
         </font>
      </Button>
      <Label alignment="CENTER" layoutX="463.0" layoutY="361.0" prefHeight="18.0" prefWidth="122.0" text="* = required field">
         <font>
            <Font name="Century" size="14.0" />
         </font>
      </Label>
      <ImageView fitHeight="30.0" fitWidth="30.0" layoutX="560.0" layoutY="14.0">
         <image>
            <Image url="@../icons/icons8-trash-50.png" />
         </image>
      </ImageView>
    </children>
</AnchorPane>
